org.keycloak.sessions

## Enum CommonClientSessionModel.ExecutionStatus

- java.lang.Object
- - java.lang.Enum<CommonClientSessionModel.ExecutionStatus>
  - - org.keycloak.sessions.CommonClientSessionModel.ExecutionStatus

- All Implemented Interfaces:
    Serializable, Comparable<CommonClientSessionModel.ExecutionStatus>
  Enclosing interface:
    CommonClientSessionModel

      public static enum CommonClientSessionModel.ExecutionStatus
      extends Enum<CommonClientSessionModel.ExecutionStatus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ATTEMPTED`
    `CHALLENGED`
    `EVALUATED_FALSE`
    `EVALUATED_TRUE`
    `FAILED`
    `SETUP_REQUIRED`
    `SKIPPED`
    `SUCCESS`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CommonClientSessionModel.ExecutionStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CommonClientSessionModel.ExecutionStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FAILED

          public static final CommonClientSessionModel.ExecutionStatus FAILED

    - #### SUCCESS

          public static final CommonClientSessionModel.ExecutionStatus SUCCESS

    - #### SETUP_REQUIRED

          public static final CommonClientSessionModel.ExecutionStatus SETUP_REQUIRED

    - #### ATTEMPTED

          public static final CommonClientSessionModel.ExecutionStatus ATTEMPTED

    - #### SKIPPED

          public static final CommonClientSessionModel.ExecutionStatus SKIPPED

    - #### CHALLENGED

          public static final CommonClientSessionModel.ExecutionStatus CHALLENGED

    - #### EVALUATED_TRUE

          public static final CommonClientSessionModel.ExecutionStatus EVALUATED_TRUE

    - #### EVALUATED_FALSE

          public static final CommonClientSessionModel.ExecutionStatus EVALUATED_FALSE

  - ### Method Detail

    - #### values

          public static CommonClientSessionModel.ExecutionStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CommonClientSessionModel.ExecutionStatus c : CommonClientSessionModel.ExecutionStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CommonClientSessionModel.ExecutionStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2021 JBoss by Red Hat. All rights reserved.